Subject: bug#2830: 23.0.91; Private use area

From: Jason Rumney <[email-masked]>
Date: Wed, 01 Apr 2009 08:07:48 +0800

[email-masked] wrote:

>    I used the mouse. Shift-click didn't behave as it used to, but I found "Set Default Font..." on the "Options" menu on the menu bar. It seemed to work as I expected: the font is distinctive enough that I'm sure the buffer was using the font I chose (Code2000). But the private-use characters were displayed as empty boxes.
>   

Because these characters are from the Private Use Area, Emacs cannot 
assume that just because a font has glyphs at those code points that 
they are the right glyphs. You will need to explicitly tell Emacs that 
you want to use Code2000 to represent the PUA range:

(set-fontset-font t '(#xe000 . #xf8ff) (font-spec :family "Code2000"))